libvoikko-dev_4.2-1_i386.deb


Advertisement

Description

libvoikko-dev - Development files for libvoikko

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libvoikko-dev_4.2-1_i386.deb
Package name libvoikko-dev
Package version 4.2
Package release 1
Package architecture i386
Package type deb
Category culture::finnish devel::lang:c devel::library implemented-in::c libdevel role::devel-lib
Homepage http://voikko.puimula.org/
License -
Maintainer Timo Jyrinki <timo@debian.org>
Download size 209.49 KB
Installed size 1.02 MB
Libvoikko is a library of free natural language processing tools. It
aims to provide support for languages that are not well served by
other existing free linguistic tools.
This package contains the files needed to build or develop applications
that use Voikko.

Alternatives

Package Version Architecture Repository
libvoikko-dev_4.2-1_amd64.deb 4.2 amd64 Debian Main
libvoikko-dev - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:4.2
libhfstospell10 -
libstdc++6 >= 5.2
libvoikko1 = 4.2-1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libvoikko-dev_4.2-1_i386.deb
Source Package libvoikko

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libvoikko-dev deb package:
    # sudo apt-get install libvoikko-dev

Files

Path
/usr/bin/voikkogc
/usr/bin/voikkohyphenate
/usr/bin/voikkospell
/usr/bin/voikkovfstc
/usr/include/libvoikko/voikko.h
/usr/include/libvoikko/voikko_defines.h
/usr/include/libvoikko/voikko_deprecated.h
/usr/include/libvoikko/voikko_enums.h
/usr/include/libvoikko/voikko_structs.h
/usr/lib/i386-linux-gnu/libvoikko.a
/usr/lib/i386-linux-gnu/libvoikko.so
/usr/lib/i386-linux-gnu/pkgconfig/libvoikko.pc
/usr/share/doc/libvoikko-dev/changelog.Debian.gz
/usr/share/doc/libvoikko-dev/changelog.gz
/usr/share/doc/libvoikko-dev/copyright
/usr/share/man/man1/voikkogc.1.gz
/usr/share/man/man1/voikkohyphenate.1.gz
/usr/share/man/man1/voikkospell.1.gz
/usr/share/man/man1/voikkovfstc.1.gz

Changelog

2019-02-13 - Timo Jyrinki <timo@debian.org>
libvoikko (4.2-1) unstable; urgency=medium
* control: Remove mention of malaga, support for which is now removed.
* copyright: Remove mention of malaga part, now dropped.
* control: Update Vcs URLs
2018-11-25 - John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
libvoikko (4.2-0.1) unstable; urgency=medium
* Non-maintainer upload.
* New upstream release. (Closes: #911985)
2017-11-20 - Manuel A. Fernandez Montecelo <mafm@debian.org>
libvoikko (4.1.1-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Remove "Priority: extra" from python-libvoikko package ("extra" is
deprecated)
* libvoikko-dev is wrongly marked as "Multi-Arch: foreign" (Closes: #872251)
2017-08-03 - Timo Jyrinki <timo@debian.org>
libvoikko (4.1.1-1) unstable; urgency=medium
* New upstream release.
* Bump Standards-Version (no changes).
2017-01-02 - Timo Jyrinki <timo@debian.org>
libvoikko (4.1-1) unstable; urgency=medium
* New upstream release.
* Bump Standards-Version (no changes).
2016-03-03 - Timo Jyrinki <timo@debian.org>
libvoikko (4.0.2-2) unstable; urgency=medium
* Release to unstable.
2016-02-25 - Timo Jyrinki <timo@debian.org>
libvoikko (4.0.2-1) experimental; urgency=medium
[ Timo Jyrinki ]
* Run wrap-and-sort -a -t
* New upstream version.
* Enable HFST support and add /usr/share/voikko to dictionary paths.
- Build depend on hfst-ospell-dev
* Replace Conflicts with Breaks for the python package transition.
* Use https vcs urls.
* Remove use of hardening-wrapper but add hardening=+all to keep status quo.
* Update package description for the backend changes.
[ Tino Didriksen ]
* Clean up debian/rules and debian/control.
* Remove .la files.
2016-02-15 - Timo Jyrinki <timo@debian.org>
libvoikko (4.0.1-3) unstable; urgency=medium
* Rename python-voikko to python3-voikko since it's for Python 3
since libvoikko 4.0.1 release.
* Add Replaces/Conflicts/Provides and a transitional package.
2016-02-10 - Timo Jyrinki <timo@debian.org>
libvoikko (4.0.1-2) unstable; urgency=medium
* Fix python install location.
2016-02-09 - Timo Jyrinki <timo@debian.org>
libvoikko (4.0.1-1) unstable; urgency=medium
* New upstream release.
* Now requires Python 3.
* Use VFST backend only, HFST currently not in Debian.
* Disable tests because it'd mean circular dependency regarding voikko-fi.
* Breaks voikko-fi <= 2.0

See Also

Package Description
libvoikko1_4.2-1_i386.deb Library of free natural language processing tools
libvolk1-bin_1.4-3+b1_i386.deb vector optimized runtime tools
libvolk1-dev_1.4-3+b1_i386.deb vector optimized function headers
libvolk1.4_1.4-3+b1_i386.deb vector optimized functions
libvolpack1-dev_1.0b3-7_i386.deb fast volume rendering library (development package)
libvolpack1_1.0b3-7_i386.deb fast volume rendering library
libvolume-key-dev_0.3.12-2+b1_i386.deb Library for manipulating storage encryption keys (dev files)
libvolume-key1_0.3.12-2+b1_i386.deb Library for manipulating storage encryption keys and passphrases
libvoms-api-java-java-doc_3.3.0-2_all.deb Virtual Organization Membership Service Java API Documentation
libvoms-api-java-java_3.3.0-2_all.deb Virtual Organization Membership Service Java API
libvomsapi1v5_2.1.0~rc0-5+b1_i386.deb Virtual Organization Membership Service C++ API
libvorbis-dev_1.3.6-2_i386.deb development files for Vorbis General Audio Compression Codec
libvorbis-java_0.8-3_all.deb Ogg and Vorbis toolkit for Java
libvorbis-ocaml-dev_0.7.1-1_i386.deb OCaml bindings for the vorbis library
libvorbis-ocaml_0.7.1-1_i386.deb OCaml bindings for vorbis library
Advertisement
Advertisement